For Developers

Delete Payment Method

DELETE https://ed.link/api/v2/teams/:team_id/payment_methods/:payment_method_id

Detaches the payment method from the team's customer account in Stripe.

Permissions

Requires the payment_methods.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:payment_method_idStringYesStripe payment method ID to delete.

Sample Request

const response = await axios.delete(
    `https://ed.link/api/v2/teams/${team_id}/payment_methods/${payment_method_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "deleted": true
    }
}